Bug 123959 - Please bring back systray quickstarter for Linux
Summary: Please bring back systray quickstarter for Linux
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.3 release
Hardware: All Linux (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Quickstarter
  Show dependency treegraph
 
Reported: 2019-03-09 11:10 UTC by Archisman Panigrahi
Modified: 2019-08-19 10:49 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Archisman Panigrahi 2019-03-09 11:10:26 UTC
Description:
Until version 5.4 Libreoffice could be run in the background with the systray quickstarter option, and it took a fraction of a second to open a file.

Since version 6, the quickstarter was removed from Linux, and now it takes 7-8 seconds to open a file, or to open a new Libreoffice window.

Running the command `libreoffice --minimized` does not help much, because it opens a libreoffice window, which speeds up opening of the file for the first instance, and the whole program closes when the file is closed (It does not run in the background).

The command `libreoffice --invisible` seems to prevent Libreoffice windows from opening altogether. It seems that there is no way to run Libreoffice in the background.

I don't know why the feature was removed from Linux, but I feel that it was very useful.

Note: In version 6.0, the package `libreoffice-systray` could be manually installed which provided this feature. From version 6.1 onwards, it was not possible to run in the system tray at all.
I have 4 GB ram and a quad-core i3 processor, and now Libreoffie takes 7-8 seconds to open a file, while with quickstarter enabled, it only took a fraction of a second.

Steps to Reproduce:
1. Install `libreoffice-systray` in Linux

Actual Results:
The command `libreoffice --quickstarter` or `libreoffice --quickstart` does not make LibreOffice run in the background. There is no way to enable quickstarter in `tools > options`

Expected Results:
Libreoffice should run in the background and show itself in the system tray.


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
Comment 1 Archisman Panigrahi 2019-03-09 19:22:58 UTC
Also, quickstarter is still there in Windows (as of version 6.2) and works perfectly. Only the Linux version was removed.
Comment 2 Heiko Tietze 2019-03-23 08:35:37 UTC
The QS was never a real "quick" starter but an app that resides in the ancient systray and runs the program. The mentioned --quickstarter never worked correctly (don't have the bug number but there likely is one). 

Please give some proof to the "7-8sec" point (at least not for the second start).
Comment 3 Mike Kaganski 2019-03-23 09:15:29 UTC Comment hidden (obsolete)
Comment 4 Rene Engelhard 2019-03-23 09:54:34 UTC
no, don't remember about crashes anymore

the main thing was it being gtk2-only, unmaintained and that current desktops (GNOME3) - and don't forget this is GNOMEish (gtk2!) - do not even have the systray anymore.

Nothing to display it in, except somewhere hidden.
Comment 5 Archisman Panigrahi 2019-04-28 12:30:17 UTC
I have upgraded to version 6.2 using the official PPA, and it is a lot faster now (now files open in 2-3 seconds, Flatpak version of 6.2 was slower). 
It seems that quickstarter is not much required anymore. I understand why the change was initiated.